Index: tests/Fragmentations/Fragmenting/benzene/pre/benzene.xyz
===================================================================
--- tests/Fragmentations/Fragmenting/benzene/pre/benzene.xyz	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/benzene/pre/benzene.xyz	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,14 @@
+12
+Benzene molecule
+H   -1.6271    0.0000   -0.0007
+C   -0.5471    0.0001   -0.0015
+C    0.1541    1.2073    0.0011
+C    0.1544   -1.2075    0.0010
+C    1.5338    1.2000    0.0007
+C    1.5336   -1.2001    0.0007
+C    2.2223    0.0002   -0.0021
+H   -0.3822    2.1448    0.0029
+H   -0.3819   -2.1449    0.0036
+H    2.0775    2.1332    0.0024
+H    2.0774   -2.1333    0.0026
+H    3.3023    0.0002   -0.0027
Index: tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order1.at
===================================================================
--- tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order1.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order1.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### benzene - order 1
+
+AT_SETUP([Fragmentations - benzene order 1])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=benzene
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=6
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order2.at
===================================================================
--- tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order2.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order2.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### benzene - order 2
+
+AT_SETUP([Fragmentations - benzene order 2])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=benzene
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=12
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order3.at
===================================================================
--- tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order3.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order3.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### benzene - order 3
+
+AT_SETUP([Fragmentations - benzene order 3])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=benzene
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=18
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order4.at
===================================================================
--- tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order4.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order4.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### benzene - order 4
+
+AT_SETUP([Fragmentations - benzene order 4])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=benzene
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=24
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order5.at
===================================================================
--- tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order5.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order5.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### benzene - order 5
+
+AT_SETUP([Fragmentations - benzene order 5])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=benzene
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=30
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 5 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order6.at
===================================================================
--- tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order6.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/benzene/testsuite-fragmenting-benzene-order6.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### benzene - order 6
+
+AT_SETUP([Fragmentations - benzene order 6])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=benzene
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=31
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 6 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
